std::nullopt_t Struct Reference
Utilities

`#include <optional>`

## Public Types

enum class | _Construct { _Token }

## Public Member Functions

constexpr | nullopt_t (_Construct) noexcept

## Detailed Description

Tag type to disengage optional objects.

Definition at line 75 of file optional.

## Member Enumeration Documentation

## _Construct

enum class std::nullopt_t::_Construct

strong

Definition at line 82 of file optional.

## Constructor & Destructor Documentation

## nullopt_t()

std::nullopt_t::nullopt_t | ( | _Construct |  | ) |

inline explicit constexpr noexcept

Definition at line 85 of file optional.

The documentation for this struct was generated from the following file:

- optional